#
# spec file for package adobe-sourcehansans-fonts
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           adobe-sourcehansans-fonts
Version:        1.002
Release:        6.1
Summary:        An OpenType/CFF Pan-CJK font family
License:        Apache-2.0
Group:          System/X11/Fonts
URL:            https://github.com/adobe-fonts/source-han-sans

Source:         https://github.com/adobe-fonts/source-han-sans/raw/release/SubsetOTF/SourceHanSansTW.zip
Source1:        57-adobe-sourcehansans.conf
BuildRoot:      %_tmppath/%name-%version-build
BuildArch:      noarch
BuildRequires:  fontconfig
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
Provides:       source-han-sans = %version
Obsoletes:      source-han-sans < %version
Provides:       sourcehansans = %version
Obsoletes:      sourcehansans < %version
Provides:       scalable-font-zh_TW
Provides:       locale(zh_TW)
%reconfigure_fonts_prereq

%description
A set of Pan-CJK fonts designed to complement Source Sans Pro.

%prep
%setup -q -n SourceHanSansTW

%build

%install
install -d %buildroot%_ttfontsdir
install -m 644 *.otf %buildroot%_ttfontsdir
%install_fontsconf %SOURCE1

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%_ttfontsdir/
%files_fontsconf_availdir
%files_fontsconf_file -l 57-adobe-sourcehansans.conf

%changelog
* Sun May  3 2015 jengelh@inai.de
- Feed through format_spec_file and spec-beautifier. Trim filelist,
  it is not necessary to specify all files one by one.
* Sun May  3 2015 mailaender@opensuse.org
- update to 1.002
- run spec-cleaner
- fix description shorter than summary
* Wed Jul 16 2014 i@marguerite.su
- initial version
  * initial public release
